Bug 641311 - bash response incorrect due to PackageKit
Summary: bash response incorrect due to PackageKit
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 11:33 UTC by jurek.bajor
Modified: 2012-08-16 22:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:39:45 UTC
Type: ---


Attachments (Terms of Use)

Description jurek.bajor 2010-10-08 11:33:37 UTC
Description of problem:
$ ma passwd
Command not found. 
 * Cancelling.. The search was cancelled as it was taking too long to complete.
You can increase the value of 'MaxSearchTime' in /etc/PackageKit/CommandNotFound.conf to change the timeout.

Version-Release number of selected component (if applicable):
PackageKit.i686                           0.6.9-4.fc14          @updates-testing
PackageKit-command-not-found.i686         0.6.9-4.fc14          @updates-testing

How reproducible:
as above

Steps to Reproduce:
1. as above
2.
3.
  
Actual results:
as above

Expected results:
as under Fedora 13:
$ ma passwd
bash: ma: command not found 

Additional info:

Comment 1 Richard Hughes 2010-10-08 12:59:52 UTC
I'm between a rock and a hard place with this functionality. Maybe cancelling should just be silent, I dunno. In rawhide, we'll be using zif for the lookup soon, and so we can do it always with cached data.

Comment 2 jurek.bajor 2010-10-08 13:54:26 UTC
Richard,
I remember a discussion on Fedora 13 mailing list about PackageKit interfering
with standard bash responses.
People were upset about it. It is not a good idea to have it at all.
Jurek

Comment 3 Ray Strode [halfline] 2010-10-08 14:32:27 UTC
So Richard and I talked about this today.  The consensus we came to is this feature should take a more "zen-like" approach.  When the functionality can work seamlessly, it will—making life a lot easier for the user in some cases.

On the other hand, in cases where it can't work seamlessly, it's going to try to act as transparent as possible.  It won't print out error messages specific to its failed attempts to help the user, and it will try to mimic what the user would see if it wasn't installed at all.

So the two things mentioned in comment 0 are

1) the error message about MaxSearchTime
2) s/"Command not found"/"bash: %s: command not found"/

Comment 4 jurek.bajor 2010-10-08 16:17:21 UTC
(In reply to comment #3)
> So Richard and I talked about this today.  The consensus we came to is this
> feature should take a more "zen-like" approach.  When the functionality can
> work seamlessly, it will—making life a lot easier for the user in some cases.
> 
> On the other hand, in cases where it can't work seamlessly, it's going to try
> to act as transparent as possible.  It won't print out error messages specific
> to its failed attempts to help the user, and it will try to mimic what the user
> would see if it wasn't installed at all.
> 
> So the two things mentioned in comment 0 are
> 
> 1) the error message about MaxSearchTime
> 2) s/"Command not found"/"bash: %s: command not found"/

Ray,
very sensible.
Thanks from everybody.
Jurek

Comment 5 Richard Hughes 2010-10-11 13:43:18 UTC
commit 762abc1f14b2c75bcaad94b8087289dec0b85611
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Oct 11 14:39:55 2010 +0100

    Make the output of command-not-found match the bash builtin. Fixes rh#641311

For example:

[hughsie@localhost ~]$ powerttop
bash: powerttop: command not found...
Similar command is: 'powertop'
[hughsie@localhost ~]$ java2c
bash: java2c: command not found...
[hughsie@localhost ~]$ xwrite
bash: xwrite: command not found...
Similar command is: 'write'
[hughsie@localhost ~]$ kwin
bash: kwin: command not found...
Install package 'kdebase-workspace' to provide command 'kwin'? [N/y] 

Richard.

Comment 6 Fedora Update System 2010-11-01 19:59:03 UTC
PackageKit-0.6.10-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/PackageKit-0.6.10-2.fc14

Comment 7 Fedora Update System 2010-11-02 22:16:46 UTC
PackageKit-0.6.10-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update PackageKit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/PackageKit-0.6.10-2.fc14

Comment 8 Fedora End Of Life 2012-08-16 22:39:47 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.